#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
from os.path import getmtime, exists
import time
import types
import __builtin__
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import DummyTransaction
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers

##################################################
## MODULE CONSTANTS
try:
    True, False
except NameError:
    True, False = (1==1), (1==0)
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.0rc8'
__CHEETAH_versionTuple__ = (2, 0, 0, 'candidate', 8)
__CHEETAH_genTime__ = 1230138971.542913
__CHEETAH_genTimestamp__ = 'Wed Dec 24 18:16:11 2008'
__CHEETAH_src__ = 'Templates/tmpl/templateForm.tmpl'
__CHEETAH_srcLastModified__ = 'Wed Dec 24 18:15:54 2008'
__CHEETAH_docstring__ = 'Autogenerated by CHEETAH: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class templateForm(Template):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        Template.__init__(self, *args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def respond(self, trans=None):



        ## CHEETAH: main method generated for this template
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write('''
<!-- tempalteForm -->
<hr style="border:none;border-top: 1px dotted #CCCCCC;" />
Hello ''')
        _v = VFFSL(SL,"user",True) # '${user}' on line 4, col 7
        if _v is not None: write(_filter(_v, rawExpr='${user}')) # from line 4, col 7.
        write(''':
<span id="id_files" name="id_files" class="highlight">
<a href="javascript:switchForms(\'files\',\'events\')">
Request files
</a>
</span>
<span id="id_events" name="id_events" class="box">
<a href="javascript:switchForms(\'events\',\'files\')">
Request events
</a>
</span>
<hr style="border:none;border-top: 1px dotted #CCCCCC;" />

<br />
<div id="form_files" name="form_files">

<form action="javascript:ajaxAction(\'''')
        _v = VFFSL(SL,"user",True) # '${user}' on line 20, col 38
        if _v is not None: write(_filter(_v, rawExpr='${user}')) # from line 20, col 38.
        write('''\')" method="get">
<table class="normal">
<tr>
<td>
<span class="heading">Request file via LFN</span>
</td>
</tr>

<tr>
<td>
<input id="lfn" name="lfn" type="text" size="95" />
</td>
</tr>

<tr>
<td>
<input type="submit" value="Request" onclick="javascript:SetMethod(\'request\')" />
<input type="reset" value="Reset" />
<input id="method" type="hidden" />
</td>
</tr>
</table>
</form>

<br />
<br />

<form action="javascript:ajaxResolveLfn(\'''')
        _v = VFFSL(SL,"user",True) # '${user}' on line 47, col 42
        if _v is not None: write(_filter(_v, rawExpr='${user}')) # from line 47, col 42.
        write('''\')" method="get">
<div id="lfnsHolder" name="lfnsHolder"></div>
<table class="normal">
<tr>
<td colspan="3">
<span class="heading">Request file via dataset/run/event</span>
</td>
</tr>

<tr>
<td class="padright">dataset path or pattern (optional)</td>
<td class="padright">run</td>
<td>event or event range (optional)</td>
</tr>

<tr>
<td class="padright">
<input id="dataset" name="dataset" type="text" size="50" />
</td>
<td class="padright">
<input id="run" name="run" type="text" size="6" />
</td>
<td>
<input id="minEvt" name="minEvt" type="text" size="10" />
-
<input id="maxEvt" name="maxEvt" type="text" size="10" />
<input id="branch" name="branch" type="hidden" />
</td>
</tr>

<tr>
<td colspan="3">
<input type="submit" value="Request" />
<input type="reset" value="Reset" />
</td>
</tr>
</table>
</form>

</div> <!-- end of form_files -->

<div id="form_events" name="form_events" class="hide">

<form action="javascript:ajaxGetEvent(\'''')
        _v = VFFSL(SL,"user",True) # '${user}' on line 90, col 40
        if _v is not None: write(_filter(_v, rawExpr='${user}')) # from line 90, col 40.
        write('''\');EFormAction(\'disabled\')" method="get">

<span class="heading">Request file with given dataset/run/event/lumi</span>
<span class="redsmall">(this service is currently limited to real data located at CERN)</span>
<ul style="list-style-type: none;">
<li>Your Email (to be notified upon completion)</li>
<ul style="list-style-type: none;">
<li>
<input id="eform_email" name="eform_email" type="text" size="50" />
</li>
</ul>
<li>dataset</li>
<ul style="list-style-type: none;">
<li>
<input id="eform_dataset" name="eform_dataset" type="text" size="50" />
</li>
</ul>
<li></li>
<li>
event sets: <em>run event lumi</em> (one per line)
</li>
<ul style="list-style-type: none;">
<li>
<textarea id="eform_eventset" name="eform_eventset" cols="30" rows="10"></textarea>
</li>
</ul>
<li>&nbsp;</li>
<li>
<input id="eform_submit" name="eform_submit" type="submit" value="Request" />
<input id="eform_reset" name="eform_reset" type="reset" value="Reset" />
</li>
</ul>
</form>

</div> <!-- end of form_events -->

<hr style="border:none;border-top: 1px dotted #CCCCCC;" />
<div id="_response">''')
        _v = VFFSL(SL,"cache",True) # '${cache}' on line 127, col 21
        if _v is not None: write(_filter(_v, rawExpr='${cache}')) # from line 127, col 21.
        write('''</div>

<!-- end of tempalteForm -->

''')
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_templateForm= 'respond'

## END CLASS DEFINITION

if not hasattr(templateForm, '_initCheetahAttributes'):
    templateAPIClass = getattr(templateForm, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(templateForm)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=templateForm()).run()


